Bug 509258 - The renaming of libgnurx to libregex is not done in the libtool archive
The renaming of libgnurx to libregex is not done in the libtool archive
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: mingw32-libgnurx (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Erik van Pienbroek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-01 17:15 EDT by Anders Wäänänen
Modified: 2009-07-03 15:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.5.1-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-03 15:33:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anders Wäänänen 2009-07-01 17:15:43 EDT
Description of problem:

The renaming of the libraries from libgnurx to libregex is not done in the libtool archive (.la file). This is needed when linking against libregex with
libtool.

Version-Release number of selected component (if applicable):

2.5.1-2

How reproducible:

N/A

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Proposed solution:

Add the following lines to the %install section in the specfile:

# Fix libtool archive
sed -i -e 's/libgnurx.dll.a/libregex.dll.a/' -e 's/libgnurx.a/libregex.a/' \
    $RPM_BUILD_ROOT%{_mingw32_libdir}/libregex.la
Comment 1 Erik van Pienbroek 2009-07-02 06:21:34 EDT
Thanks for the report. I already solved this bug in Rawhide, but forgot to update the F-10 and F-11 branches. Will do right away
Comment 2 Fedora Update System 2009-07-02 10:19:33 EDT
mingw32-libgnurx-2.5.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libgnurx-2.5.1-3.fc11
Comment 3 Fedora Update System 2009-07-02 10:20:13 EDT
mingw32-libgnurx-2.5.1-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libgnurx-2.5.1-3.fc10
Comment 4 Fedora Update System 2009-07-03 15:33:23 EDT
mingw32-libgnurx-2.5.1-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2009-07-03 15:53:13 EDT
mingw32-libgnurx-2.5.1-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.